> ## Documentation Index
> Fetch the complete documentation index at: https://pulze.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Assistant



## OpenAPI

````yaml put /v1/apps/{app_id}/assistants/{assistant_id}
openapi: 3.1.0
info:
  title: Pulze.ai API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/apps/{app_id}/assistants/{assistant_id}:
    put:
      tags:
        - apps
        - assistants
      summary: Update Assistant
      operationId: update_assistant_v1_apps__app_id__assistants__assistant_id__put
      parameters:
        - name: app_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: App Id
        - name: assistant_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Assistant Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssistantUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Assistant'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AssistantUpdateRequest:
      properties:
        avatar:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        visibility:
          anyOf:
            - $ref: '#/components/schemas/AssistantVisibility'
            - type: 'null'
        definition_visibility:
          anyOf:
            - $ref: '#/components/schemas/AssistantVisibility'
            - type: 'null'
        assistant_config:
          anyOf:
            - type: object
            - type: 'null'
          title: Assistant Config
      type: object
      title: AssistantUpdateRequest
    Assistant:
      properties:
        name:
          type: string
          title: Name
        avatar:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        visibility:
          $ref: '#/components/schemas/AssistantVisibility'
          default: private
        definition_visibility:
          $ref: '#/components/schemas/AssistantVisibility'
          default: private
        id:
          type: string
          format: uuid
          title: Id
        app_id:
          type: string
          format: uuid
          title: App Id
        slug:
          type: string
          title: Slug
      type: object
      required:
        - name
        - id
        - app_id
        - slug
      title: Assistant
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AssistantVisibility:
      type: string
      enum:
        - public
        - organization
        - private
      title: AssistantVisibility
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````